# this package is purely headers
%global         debug_package %{nil}

Name:           nlohmann
Version:        3.11.2
Release:        1%{?dist}
Summary:        JSON for Modern C++

License:        MIT
URL:            https://github.com/nlohmann/json
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# not having a C++ compiler present will make cmake complain
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make

# required for pathfix.py
BuildRequires:  python3-rpm-macros

%description
JSON for Modern C++

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}

%description doc
Documentation for %{name}.

%package devel
Summary:        Developmentm package for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}

%description devel
Development package for %{name}.

%prep
%autosetup -n json-%{version}

%py3_shebang_fix docs/mkdocs/scripts/check_structure.py

%build

%cmake -DJSON_BuildTests:BOOL=OFF
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_pkgdocdir}
cp -r docs/* %{buildroot}%{_pkgdocdir}

%files

%files devel
%license LICENSE.MIT
%{_includedir}/nlohmann/
%dir %{_datadir}/cmake/nlohmann_json
%{_datadir}/cmake/nlohmann_json/nlohmann_jsonConfig.cmake
%{_datadir}/cmake/nlohmann_json/nlohmann_jsonConfigVersion.cmake
%{_datadir}/cmake/nlohmann_json/nlohmann_jsonTargets.cmake
%{_datadir}/pkgconfig/nlohmann_json.pc

%files doc
%{_pkgdocdir}

%changelog
* Wed Apr 19 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.11.2-1
- Update to 3.11.2

* Wed Apr 19 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.10.2-1
- Update to 3.10.2

* Wed Jan  6 15:20:03 CET 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 3.9.1-1
- Initial spec


